xmonad-contrib-0.15: Third party extensions for xmonad

Copyright | (c) Jeremy Apthorp
License | BSD-style (see LICENSE)
Maintainer | Jeremy Apthorp <nornagon@gmail.com>
Stability | unstable
Portability | portable
Safe Haskell | None
Language | Haskell98

XMonad.Layout.Dishes

Contents

- Usage

Description

Dishes is a layout that stacks extra windows underneath the master windows.

Synopsis

- data Dishes a = Dishes Int Rational

# Usage

You can use this module with the following in your `~/.xmonad/xmonad.hs`:

    import XMonad.Layout.Dishes

Then edit your `layoutHook` by adding the Dishes layout:

    myLayout = Dishes 2 (1/6) ||| Full ||| etc..
    main = xmonad def { layoutHook = myLayout }

For more detailed instructions on editing the layoutHook see:

XMonad.Doc.Extending

data Dishes a Source #

Constructors

Dishes Int Rational |

Instances

LayoutClass Dishes a Source # |

Instance details

Defined in XMonad.Layout.Dishes

Methods

runLayout :: Workspace WorkspaceId (Dishes a) a -> Rectangle -> X ([(a, Rectangle)], Maybe (Dishes a)) Source #

doLayout :: Dishes a -> Rectangle -> Stack a -> X ([(a, Rectangle)], Maybe (Dishes a)) Source #

pureLayout :: Dishes a -> Rectangle -> Stack a -> [(a, Rectangle)] Source #

emptyLayout :: Dishes a -> Rectangle -> X ([(a, Rectangle)], Maybe (Dishes a)) Source #

handleMessage :: Dishes a -> SomeMessage -> X (Maybe (Dishes a)) Source #

pureMessage :: Dishes a -> SomeMessage -> Maybe (Dishes a) Source #

description :: Dishes a -> String Source #

Read (Dishes a) Source # |
Instance details Defined in XMonad.Layout.Dishes Methods readsPrec :: Int -> ReadS (Dishes a) Source # readList :: ReadS [Dishes a] Source # readPrec :: ReadPrec (Dishes a) Source # readListPrec :: ReadPrec [Dishes a] Source #
Show (Dishes a) Source # |
Instance details Defined in XMonad.Layout.Dishes Methods showsPrec :: Int -> Dishes a -> ShowS Source # show :: Dishes a -> String Source # showList :: [Dishes a] -> ShowS Source #